import http from '@/utils/request';
import { url } from '@/utils/url';

export function getCheckBpList(data: any): Promise<any> {
  return http.get(url.lanjuquality.checkBp.getCheckBpList, {
    params: data,
  });
}

export function getQcDefectTypeClassList(data: any): Promise<any> {
  return http.get(url.lanjuquality.checkBp.getQcDefectTypeClassList, {
    params: data,
  });
}

export function submitCheckResult(data: any): Promise<any> {
  return http.post(url.lanjuquality.checkBp.submitCheckResult, data);
}
